Bug 605659 - Traceback in stage2 when ipv6 only network device is activated in stage1.
Traceback in stage2 when ipv6 only network device is activated in stage1.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 09:55 EDT by Radek Vykydal
Modified: 2010-11-10 14:48 EST (History)
2 users (show)

See Also:
Fixed In Version: anaconda-13.21.56-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:48:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The traceback. (58.46 KB, text/plain)
2010-06-18 09:55 EDT, Radek Vykydal
no flags Details

  None (edit)
Description Radek Vykydal 2010-06-18 09:55:17 EDT
Created attachment 425125 [details]
The traceback.

Description of problem:

If a network device activated in stage 1 is missing ipv4 address, anaconda fails with traceback in stage 2.

Version-Release number of selected component (if applicable):

anaconda-13.21.50-1

How reproducible:

Always

Steps to Reproduce:
1. Install with stage2= boot parameter pointing to ipv6 address (e.g. stage2=http://[2001:aaaa::1]/install.img)
2. In stage 1, when asked to configure network device, uncheck "Enable IPV4 support". I used ipv6 predefined setting "Automatic Neigbor Discovery", having radvd on the link.
3. In stage 2, before network configuration screen there is the traceback.
  
Actual results:

Traceback attached.

Expected results:

No traceback.

Additional info:

This is issue also hit in https://bugzilla.redhat.com/show_bug.cgi?id=594090#c14.

A patch is in anaconda-devel-list:
https://www.redhat.com/archives/anaconda-devel-list/2010-June/msg00085.html
waiting for review.
Comment 1 RHEL Product and Program Management 2010-06-18 10:03:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Radek Vykydal 2010-06-29 12:57:46 EDT
This should be fixed in anaconda-13.21.55-1.
Comment 5 releng-rhel@redhat.com 2010-11-10 14:48:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.